#ifndef CONFEARTHDIALOG_H
#define CONFEARTHDIALOG_H
#include "TerreGLWidget.h"

#include <QDialog>

namespace Ui {
    class ConfEarthDialog;
}

class ConfEarthDialog : public QDialog
{
    Q_OBJECT

public:
    friend class TerreGLWidget;
    ConfEarthDialog(TerreGLWidget *s, QWidget *parent = 0);
    ~ConfEarthDialog();

private:
    Ui::ConfEarthDialog *ui;
    bool notinitok;
    TerreGLWidget *terre;
    int sel_idx;

private slots:
    void on_comboBox_PtDeVue_currentIndexChanged(int index);
    void on_pushButton_update_clicked();
    void on_checkBox_Lune_toggled(bool checked);
    void on_checkBox_Satellites_toggled(bool checked);
};

#endif // CONFEARTHDIALOG_H
